> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a column hashing salt

> Updates the name and description of a column hashing salt.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /column-hashing-salts/{uuid}
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /column-hashing-salts/{uuid}:
    post:
      tags:
        - Column Hashing Salts
      summary: Update a column hashing salt
      description: Updates the name and description of a column hashing salt.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterUpdateColumnHashingSaltRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsColumnHashingSalt'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterUpdateColumnHashingSaltRequest:
      properties:
        description:
          type: string
        name:
          type: string
      required:
        - name
      type: object
    PayloadsColumnHashingSalt:
      properties:
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        name:
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````